'use strict';
define([
  'angular',

  'widgets/mapapp/cotationedition/directives/cotationeditwidget',
  'widgets/mapapp/cotationedition/directives/cotationtoolbaredit',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',
  'toastr',
  'ol3js',
  'ng-table',
], function(angular, editwidget, toolbaredit) {
  // generation du module
  var gcedition = angular.module('gc_cotation_edition', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller

  // ajout directive
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  gcedition.directive('cotationeditwidget', editwidget);
  gcedition.directive('cotationtoolbaredit', toolbaredit);
  // ajout factory
  //route provider

  return gcedition;
});
